Bug 248948 - security/honeytrap: Fix go-1.15 build errors
Summary: security/honeytrap: Fix go-1.15 build errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-27 09:28 UTC by ezri.mudde
Modified: 2020-10-01 23:52 UTC (History)
3 users (show)

See Also:


Attachments
patch (11.08 KB, patch)
2020-08-27 09:28 UTC, ezri.mudde
no flags Details | Diff
removed PORTREVISION from previous patch (10.80 KB, patch)
2020-09-01 07:27 UTC, ezri.mudde
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ezri.mudde 2020-08-27 09:28:33 UTC
Created attachment 217571 [details]
patch

Because of build constrains contained in gvisors packages the build failed when build with a go version higher than 1.14.

Bug #247140 already contains a patch that fixes this.

For an example build log see: http://beefy17.nyi.freebsd.org/data/head-i386-default/p546132_s364744/logs/honeytrap-g20200415.log
Comment 1 Bugzilla Automation freebsd_committer 2020-08-27 09:28:33 UTC
Maintainer informed via mail
Comment 2 Mikael Urankar freebsd_committer 2020-08-27 12:39:24 UTC
(In reply to ezri.mudde from comment #0)
No need to bump PORTREVISION if it's a build fix.
Comment 3 ezri.mudde 2020-09-01 07:27:43 UTC
Created attachment 217686 [details]
removed PORTREVISION from previous patch
Comment 4 Steve Wills freebsd_committer 2020-10-01 13:46:25 UTC
This doesn't need an exp-run. I was waiting on your feedback on my changes to the rc script in the patch in Bug #247140 before I committed that one.
Comment 5 ezri.mudde 2020-10-01 13:51:12 UTC
(In reply to Steve Wills from comment #4)
Ah okay, I'll remove the flag then.
Comment 6 commit-hook freebsd_committer 2020-10-01 23:51:24 UTC
A commit references this bug:

Author: swills
Date: Thu Oct  1 23:50:38 UTC 2020
New revision: 550881
URL: https://svnweb.freebsd.org/changeset/ports/550881

Log:
  security/honeytrap: multiple changes

  * Improve rc script
  * Clean up
  * Pass maintainership to submitter
  * Fix build with newer Go

  PR:		247140
  PR:		248948
  Submitted by:	ezri.mudde@dutchsec.com
  Approved by:	remco.verhoef@dutchsec.com (maintainer)

Changes:
  head/security/honeytrap/Makefile
  head/security/honeytrap/distinfo
  head/security/honeytrap/files/etc/
  head/security/honeytrap/files/honeytrap.in
  head/security/honeytrap/files/honeytrap.toml
  head/security/honeytrap/files/patch-cmd_constants.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sentry_platform_kvm_bluepill__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sentry_platform_kvm_machine__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sentry_platform_ptrace_subprocess__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sentry_vfs_mount__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sleep_sleep__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sync_downgradable__rwmutex__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sync_memmove__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_sync_tmutex__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_tcpip_link_rawfile_blockingpoll__yield__unsafe.go
  head/security/honeytrap/files/patch-vendor_gvisor.dev_gvisor_pkg_tcpip_time__unsafe.go
Comment 7 Steve Wills freebsd_committer 2020-10-01 23:52:31 UTC
Committed, thanks!